Author vinay.sajip
Recipients Mariatta, cool-RR, vinay.sajip
Date 2016-10-02.13:19:01
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1475414341.72.0.264665451676.issue28335@psf.upfronthosting.co.za>
In-reply-to
Content
This is marked as relevant to Python 3.7, so I ran a test script using the latest Python sources:

import logging
import logging.config
import sys

def main():
    config = {
        'version': 1,
        'formatters': {
            'default': {
                '()': 'foo',
            },
        }
    }
    logging.config.dictConfig(config)


if __name__ == '__main__':
    sys.exit(main())

The exception printouts with/without "raise ... from" are shown in this Gist: 

https://gist.github.com/vsajip/a17b51695bbe16bd3c9e156405388e57

I can't see much difference in terms of figuring out where the exception came from. The only substantial difference is one line "During handling of the above exception, another exception occurred:" with another "The above exception was the direct cause of the following exception:".
History
Date User Action Args
2016-10-02 13:19:01vinay.sajipsetrecipients: + vinay.sajip, cool-RR, Mariatta
2016-10-02 13:19:01vinay.sajipsetmessageid: <1475414341.72.0.264665451676.issue28335@psf.upfronthosting.co.za>
2016-10-02 13:19:01vinay.sajiplinkissue28335 messages
2016-10-02 13:19:01vinay.sajipcreate